Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cometd.demo
Class ChatService

    java.lang.Object
      org.mortbay.cometd.BayeuxService
          org.cometd.demo.ChatService

    public class ChatService

extends BayeuxService

Constructor Summary
`ChatService(org.cometd.Bayeux bayeux)`

Method Summary
`void` | `handleMembership(org.cometd.Client client, java.util.Map<java.lang.String,java.lang.Object> data)`
`void` | `privateChat(org.cometd.Client client, java.util.Map<java.lang.String,java.lang.Object> data)`

Methods inherited from class org.mortbay.cometd.BayeuxService
`asyncDoInvoke, exception, getBayeux, getClient, getThreadPool, isSeeOwnPublishes, send, setSeeOwnPublishes, setThreadPool, subscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChatService

    public ChatService(org.cometd.Bayeux bayeux)

Method Detail

### handleMembership

    public void handleMembership(org.cometd.Client client,
                                 java.util.Map<java.lang.String,java.lang.Object> data)

### privateChat

    public void privateChat(org.cometd.Client client,
                            java.util.Map<java.lang.String,java.lang.Object> data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.